#!/bin/bash
# {{ ansible_managed }}
#
# Reload search analyzers of {{ elasticsearch_metadata_index_alias_name }} indices. (see https://www.elastic.co/guide/en/elasticsearch/reference/current/indices-reload-analyzers.html)
#

date +"*** %Y-%m-%d %H:%M:%S start reload search analyzers"
reload() {
  curl --netrc-file {{ base_dir }}/conf/search_index_elastic_access -X POST "http://{{ elasticsearch_host }}:{{ elasticsearch_port }}/$1/_reload_search_analyzers" -d ''
  curl --netrc-file {{ base_dir }}/conf/search_index_elastic_access -X POST "http://{{ elasticsearch_host }}:{{ elasticsearch_port }}/$1/_cache/clear?request=true" -d ''
}

reload {{ elasticsearch_metadata_index_alias_name }}
reload {{ elasticsearch_metadata_index_internal_alias_name }}

date +"*** %Y-%m-%d %H:%M:%S done"